Name:        terminus-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Terminus.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 TerminessNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFont-Bold.ttf
install -Dm644 TerminessNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFont-BoldItalic.ttf
install -Dm644 TerminessNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFont-Italic.ttf
install -Dm644 TerminessNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFont-Regular.ttf
install -Dm644 TerminessNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontMono-Bold.ttf
install -Dm644 TerminessNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontMono-BoldItalic.ttf
install -Dm644 TerminessNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontMono-Italic.ttf
install -Dm644 TerminessNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontMono-Regular.ttf
install -Dm644 TerminessNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-Bold.ttf
install -Dm644 TerminessNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-BoldItalic.ttf
install -Dm644 TerminessNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-Italic.ttf
install -Dm644 TerminessNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/TerminessNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/TerminessNerdFontPropo-Regular.ttf
%license LICENSE.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
